Customers
Uncancel a customer
The customer will jump back to the appropriate status. You can read more about status statuses here
PUT
/
customers
/
{id}
/
status
/
Uncancel a customer
curl --request PUT \
--url https://api.tapfiliate.com/1.6/customers/{id}/status/ \
--header 'X-Api-Key: <api-key>'const options = {method: 'PUT', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.tapfiliate.com/1.6/customers/{id}/status/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tapfiliate.com/1.6/customers/{id}/status/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tapfiliate.com/1.6/customers/{id}/status/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.tapfiliate.com/1.6/customers/{id}/status/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tapfiliate.com/1.6/customers/{id}/status/"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.tapfiliate.com/1.6/customers/{id}/status/")
.header("X-Api-Key", "<api-key>")
.asString();{
"id": "cu_eXampl3Pay1ng",
"customer_id": "USER666",
"status": "paying",
"created_at": "2021-07-02T09:55:20+00:00",
"click": {
"created_at": "2021-03-03T12:39:19+0000",
"referrer": "https://example-blog.inc/check-out-johns-product/",
"landing_page": "https://tapper.inc/johns-cool-product/"
},
"program": {
"id": "johns-affiliate-program",
"title": "John's affiliate program",
"currency": "USD"
},
"affiliate": {
"id": "janejameson",
"firstname": "Jane",
"lastname": "Jameson"
},
"affiliate_meta_data": {
"subid1": "baz"
},
"meta_data": {
"foo": "bar"
},
"warnings": null
}{
"errors": [
{
"message": "Missing mandatory parameter(s)"
}
]
}{
"message": "Authentication Failed.",
"code": 401
}{
"message": "Forbidden",
"code": 403,
"traceId": "04ed655728a22bc0d39f"
}{
"message": "Not Found",
"code": 404,
"traceId": "7ae8e92b77572da03805"
}Authorizations
Your API key, from your Tapfiliate account settings.
Path Parameters
The Tapfiliate generated id of the customer.
⌘I
Uncancel a customer
curl --request PUT \
--url https://api.tapfiliate.com/1.6/customers/{id}/status/ \
--header 'X-Api-Key: <api-key>'const options = {method: 'PUT', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.tapfiliate.com/1.6/customers/{id}/status/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tapfiliate.com/1.6/customers/{id}/status/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tapfiliate.com/1.6/customers/{id}/status/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.tapfiliate.com/1.6/customers/{id}/status/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tapfiliate.com/1.6/customers/{id}/status/"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.tapfiliate.com/1.6/customers/{id}/status/")
.header("X-Api-Key", "<api-key>")
.asString();{
"id": "cu_eXampl3Pay1ng",
"customer_id": "USER666",
"status": "paying",
"created_at": "2021-07-02T09:55:20+00:00",
"click": {
"created_at": "2021-03-03T12:39:19+0000",
"referrer": "https://example-blog.inc/check-out-johns-product/",
"landing_page": "https://tapper.inc/johns-cool-product/"
},
"program": {
"id": "johns-affiliate-program",
"title": "John's affiliate program",
"currency": "USD"
},
"affiliate": {
"id": "janejameson",
"firstname": "Jane",
"lastname": "Jameson"
},
"affiliate_meta_data": {
"subid1": "baz"
},
"meta_data": {
"foo": "bar"
},
"warnings": null
}{
"errors": [
{
"message": "Missing mandatory parameter(s)"
}
]
}{
"message": "Authentication Failed.",
"code": 401
}{
"message": "Forbidden",
"code": 403,
"traceId": "04ed655728a22bc0d39f"
}{
"message": "Not Found",
"code": 404,
"traceId": "7ae8e92b77572da03805"
}